Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.swing
Class ExtendedComboBoxModel

    java.lang.Object
      javax.swing.AbstractListModel
          com.eviware.soapui.support.swing.ExtendedComboBoxModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.ComboBoxModel, javax.swing.ListModel, javax.swing.MutableComboBoxModel

    public class ExtendedComboBoxModel

extends javax.swing.AbstractListModel
implements javax.swing.MutableComboBoxModel, java.io.Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`ExtendedComboBoxModel()` Constructs an empty DefaultComboBoxModel object.
`ExtendedComboBoxModel(java.lang.Object[] items)` Constructs a DefaultComboBoxModel object initialized with an array of objects.
`ExtendedComboBoxModel(java.util.Vector<?> v)` Constructs a DefaultComboBoxModel object initialized with a vector.

Method Summary
`void` | `addElement(java.lang.Object anObject)`
`java.lang.Object` | `getElementAt(int index)`
`int` | `getIndexOf(java.lang.Object anObject)` Returns the index-position of the specified object in the list.
`java.lang.Object` | `getSelectedItem()`
`int` | `getSize()`
`void` | `insertElementAt(java.lang.Object anObject, int index)`
`void` | `removeAllElements()` Empties the list.
`void` | `removeElement(java.lang.Object anObject)`
`void` | `removeElementAt(int index)`
`void` | `setElementAt(java.lang.Object obj, int index)`
`void` | `setSelectedItem(java.lang.Object anObject)` Set the value of the selected item.

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, removeListDataListener`

Constructor Detail

### ExtendedComboBoxModel

    public ExtendedComboBoxModel()

  Constructs an empty DefaultComboBoxModel object.

### ExtendedComboBoxModel

    public ExtendedComboBoxModel(java.lang.Object[] items)

  Constructs a DefaultComboBoxModel object initialized with an array of objects.

  Parameters:
    `items` - an array of Object objects

### ExtendedComboBoxModel

    public ExtendedComboBoxModel(java.util.Vector<?> v)

  Constructs a DefaultComboBoxModel object initialized with a vector.

  Parameters:
    `v` - a Vector object ...

Method Detail

### setSelectedItem

    public void setSelectedItem(java.lang.Object anObject)

  Set the value of the selected item. The selected item may be null.

  Specified by:
    `setSelectedItem` in interface `javax.swing.ComboBoxModel`
  Parameters:
    `anObject` - The combo box value or null for no selection.

### getSelectedItem

    public java.lang.Object getSelectedItem()

  Specified by:
    `getSelectedItem` in interface `javax.swing.ComboBoxModel`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `javax.swing.ListModel`

### getElementAt

    public java.lang.Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `javax.swing.ListModel`

### getIndexOf

    public int getIndexOf(java.lang.Object anObject)

  Returns the index-position of the specified object in the list.

  Parameters:
    `anObject` -
  Returns:
    an int representing the index position, where 0 is the first position

### addElement

    public void addElement(java.lang.Object anObject)

  Specified by:
    `addElement` in interface `javax.swing.MutableComboBoxModel`

### insertElementAt

    public void insertElementAt(java.lang.Object anObject,
                                int index)

  Specified by:
    `insertElementAt` in interface `javax.swing.MutableComboBoxModel`

### removeElementAt

    public void removeElementAt(int index)

  Specified by:
    `removeElementAt` in interface `javax.swing.MutableComboBoxModel`

### removeElement

    public void removeElement(java.lang.Object anObject)

  Specified by:
    `removeElement` in interface `javax.swing.MutableComboBoxModel`

### removeAllElements

    public void removeAllElements()

  Empties the list.

### setElementAt

    public void setElementAt(java.lang.Object obj,
                             int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.